Class urn
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.urn

public class urn
extends ej
random sequence generator (like the standart urn object)
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
urn(int size) Create a urn object with specified range
urn(int size, int seed) Create a urn object with specified range and seed

Method Summary
void | bang() Generate the next random value.
void | clear() Reset the values (ready to start a new sequence)
void | inlet(int i) Define a new range.
void | seed(int seed) Set the seed
void | sizeInfo() Display a message in the Max window of the memory utilisation.

Methods inherited from class ej.ej
anything, dblclick, findVersion, inlet, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
urn
public urn(int size)

  Create a urn object with specified range
  Parameters:
    size - range (output value will be from 0 to range-1)

urn
public urn(int size,
int seed)

  Create a urn object with specified range and seed
  Parameters:
    size - range (output value will be from 0 to range-1)
    seed - seed

Method Detail
bang
public void bang()

  Generate the next random value.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  Define a new range.
  Overrides:
    inlet in class ej
  Parameters:
    i - range (output value will be from 0 to range-1)

clear
public void clear()

  Reset the values (ready to start a new sequence)

seed
public void seed(int seed)

  Set the seed
  Parameters:
    seed - integer value sets the seed.

sizeInfo
public void sizeInfo()

  Display a message in the Max window of the memory utilisation.

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com